dnl======================================================================
dnl GDS_CHECK_FR
dnl   Check if FR is installed
dnl======================================================================

AC_DEFUN([AC_GDS_CHECK_FR],
[
  have_libframe=no
  PKG_CHECK_MODULES(FRAME, libframe, have_libframe="yes", have_libframe="no")
  if test "${have_libframe}" = "yes"
  then
    frlibs="$FRAME_LIBS"
    frcflags="$FRAME_CFLAGS"
  fi
  if test "${have_libframe}" = "no"
  then
    frlibs="-lFrame"
    frcflags=""
    case `uname -m` in
    "i386" | "i486" | "i586" | "i686")
      frcflags=""
      ;;
    *)
      frcflags="-DFR_LONG_LONG"
      ;;
    esac
  fi
  AM_CONDITIONAL([require_fr], [test "$have_libframe" = no])
  AM_CONDITIONAL([have_fr], [test "$have_libframe" = yes])
  AM_CONDITIONAL([nodeprecate_dmtifc], /bin/false)
  AC_SUBST(frlibs)
  AC_SUBST(frcflags)
])

